#!/usr/bin/env zsh
#
if [[ "$(uname)" == "Linux" ]]; then
    PATH_PREFIX="/data/Projects"
elif [[ "$(uname)" == "Darwin" ]]; then
    PATH_PREFIX="/Users/gregory.gauthier/Projects"
else
    # Always fallback to the linux default
    PATH_PREFIX="/data/Projects"
fi

# shellcheck disable=SC2164
cd "${PATH_PREFIX}/local/mcp_servers/dicom_mcp"
poetry run python ./dicom_mcp

